Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime
Interface RuntimePackage.Literals

Enclosing interface:
  RuntimePackage

    public static interface RuntimePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EDataType` | `JAVA_EXCEPTION` The meta object literal for the 'Java Exception' data type.
`static EClass` | `MODEL_QUERY_CONTEXT` The meta object literal for the '`Model Query Context`' class.
`static EReference` | `MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS` The meta object literal for the 'Selected Model Elements' reference list feature.
`static EAttribute` | `MODEL_QUERY_CONTEXT__SELECTED_MODELS` The meta object literal for the 'Selected Models' attribute list feature.
`static EClass` | `MODEL_QUERY_PARAMETER_VALUE` The meta object literal for the '`Model Query Parameter Value`' class.
`static EReference` | `MODEL_QUERY_PARAMETER_VALUE__PARAMETER` The meta object literal for the 'Parameter' reference feature.
`static EAttribute` | `MODEL_QUERY_PARAMETER_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` | `MODEL_QUERY_RESULT` The meta object literal for the '`Model Query Result`' class.
`static EAttribute` | `MODEL_QUERY_RESULT__EXCEPTION` The meta object literal for the 'Exception' attribute feature.
`static EReference` | `MODEL_QUERY_RESULT__SOURCE` The meta object literal for the 'Source' reference feature.
`static EAttribute` | `MODEL_QUERY_RESULT__VALUE` The meta object literal for the 'Value' attribute feature.

Field Detail

### MODEL_QUERY_CONTEXT

    static final EClass MODEL_QUERY_CONTEXT

  The meta object literal for the '`Model Query Context`' class.

  See Also:
    `ModelQueryContextImpl`, `RuntimePackageImpl.getModelQueryContext()`

### MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS

    static final EReference MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS

  The meta object literal for the 'Selected Model Elements' reference list feature.

### MODEL_QUERY_CONTEXT__SELECTED_MODELS

    static final EAttribute MODEL_QUERY_CONTEXT__SELECTED_MODELS

  The meta object literal for the 'Selected Models' attribute list feature.

### MODEL_QUERY_PARAMETER_VALUE

    static final EClass MODEL_QUERY_PARAMETER_VALUE

  The meta object literal for the '`Model Query Parameter Value`' class.

  See Also:
    `ModelQueryParameterValueImpl`, `RuntimePackageImpl.getModelQueryParameterValue()`

### MODEL_QUERY_PARAMETER_VALUE__PARAMETER

    static final EReference MODEL_QUERY_PARAMETER_VALUE__PARAMETER

  The meta object literal for the 'Parameter' reference feature.

### MODEL_QUERY_PARAMETER_VALUE__VALUE

    static final EAttribute MODEL_QUERY_PARAMETER_VALUE__VALUE

  The meta object literal for the 'Value' attribute feature.

### MODEL_QUERY_RESULT

    static final EClass MODEL_QUERY_RESULT

  The meta object literal for the '`Model Query Result`' class.

  See Also:
    `ModelQueryResultImpl`, `RuntimePackageImpl.getModelQueryResult()`

### MODEL_QUERY_RESULT__SOURCE

    static final EReference MODEL_QUERY_RESULT__SOURCE

  The meta object literal for the 'Source' reference feature.

### MODEL_QUERY_RESULT__VALUE

    static final EAttribute MODEL_QUERY_RESULT__VALUE

  The meta object literal for the 'Value' attribute feature.

### MODEL_QUERY_RESULT__EXCEPTION

    static final EAttribute MODEL_QUERY_RESULT__EXCEPTION

  The meta object literal for the 'Exception' attribute feature.

### JAVA_EXCEPTION

    static final EDataType JAVA_EXCEPTION

  The meta object literal for the 'Java Exception' data type.

  See Also:
    `Exception`, `RuntimePackageImpl.getJavaException()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD